> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a subscription plan by ID

> Operacion: Get a subscription plan by ID.



## OpenAPI

````yaml /generated/specs/operations.json get /api/v1/subscription_plan/get/{plan_id}
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/subscription_plan/get/{plan_id}:
    get:
      tags:
        - Subscription Plan
      summary: Get a subscription plan by ID
      description: 'Operacion: Get a subscription plan by ID.'
      operationId: SubscriptionPlanController_getById
      parameters:
        - name: plan_id
          required: true
          in: path
          description: Plan ID
          schema:
            type: number
      responses:
        '200':
          description: Subscription plan
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionPlanResponseDto'
        '404':
          description: Plan not found
      security:
        - bearerAuth: []
components:
  schemas:
    SubscriptionPlanResponseDto:
      type: object
      properties:
        id:
          type: number
        name:
          type: object
        subscription_currency_id:
          type: number
        currency_name:
          type: object
        currency_value:
          type: object
        description:
          type: object
      required:
        - id
        - subscription_currency_id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````